Zandronum Chat on our Discord Server Get the latest version: 3.1
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003959Doomseeker[All Projects] Epicpublic2021-12-27 22:432022-01-18 19:05
ReporterZalewa 
Assigned ToBlzut3 
PriorityhighSeverityminorReproducibilityN/A
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version1.3.2 
Target Version1.3.3Fixed in Version 
Summary0003959: Doomseeker 1.3.3 release
DescriptionDoomseeker 1.3.3 needs to be released to properly support Zandronum 3.1. Let's solve the remaining issues for this version and prepare for a release in the upcoming days.
Additional InformationDoomseeker 1.3.2 release: 0003852
Attached Filestxt file icon release-checklist-1.3.3.txt [^] (2,805 bytes) 2022-01-17 18:14 [Show Content]

- Relationships

-  Notes
User avatar (0022027)
WubTheCaptain (developer)
2021-12-28 11:01

major → minor, because IIRC what's only broken in the core program is IP2C related and sv_country support, but 1.3.2 isn't unusably broken overall. Honestly I'd set the severity of this issue even down to "feature".
git log --name-only 1.3.2..HEAD
But yeah, sure, I'd be okay with a new release. There have been some improvements in the core program to justify it. While we don't follow SemVer, I'd like to note there was a big refactor of IP2C in this release (82634a1c5a87c665966c1d440cc400f70d4eb126, 0003939).
User avatar (0022029)
Zalewa (developer)
2021-12-28 11:18

It has an exploitable crash fix 0003927
User avatar (0022034)
WubTheCaptain (developer)
2021-12-28 11:35

Ah well, I thought DRD Team Debian repository already had a package for Zandronum plugin version 43 (which I assume would work with Doomseeker 1.3.2 too), but I see it doesn't. The fix for 0003927 was done with changes only to the plugin.
User avatar (0022072)
Zalewa (developer)
2022-01-02 12:22

I will have much less free time from now on and looking at the roadmap there's not much remaining to do for me except still finind some texts that need to be fixed (0003942, 0003943), so I'll stop most of the work now. We need to wait for Pol to update Spanish and Catalan translations before we can release.
User avatar (0022085)
WubTheCaptain (developer)
2022-01-17 02:39

Quote from Zalewa
We need to wait for Pol to update Spanish and Catalan translations before we can release.

This was done: 2869ddf.
User avatar (0022087)
Zalewa (developer)
2022-01-17 18:36

I'm proceeding with the release.
User avatar (0022088)
Zalewa (developer)
2022-01-17 19:55

Stage 1 completed.

Tag:https://bitbucket.org/Doomseeker/doomseeker/commits/tag/1.3.3 [^]
Website:https://bitbucket.org/Doomseeker/website/commits/425affaa2d2db8600b177ad6fc2951e5eded739c [^]

Reassigning to Blzut for stage 2.
User avatar (0022091)
WubTheCaptain (developer)
2022-01-18 14:48

The roadmap on this issue tracker (on Zandronum.com) has open issues with status "needs testing".
User avatar (0022098)
Zalewa (developer)
2022-01-18 17:29

I will have to retract 0003959:0022088 because I just found a critical bug with Idgames. It should be fixed before the release.
User avatar (0022105)
WubTheCaptain (developer)
2022-01-18 18:13
edited on: 2022-01-18 18:13

Please, keep the 1.3.3 tag at commit 4e9fea0 where it was (version bump + 1 commit) and add the 1.3.3 tag there again. I believe even severe issues in releases should be resolved in the next release, 1.3.4.

User avatar (0022106)
Zalewa (developer)
2022-01-18 18:13

1.3.3 wasn't released yet.
User avatar (0022107)
WubTheCaptain (developer)
2022-01-18 18:20

Quote from Zalewa
1.3.3 wasn't released yet.

git-tag(1) wants to say: "Annotated tags are meant for release while lightweight tags are meant for private or temporary object labels." I can't prove you right or wrong, because I already pulled the changes to my local repository. I had only observed a 1.3.3 tag to exist via Bitbucket and this issue. 🤕
User avatar (0022108)
WubTheCaptain (developer)
2022-01-18 18:23
edited on: 2022-01-18 18:49

But historically, e.g. looking at the tag v1.3.2, it's an annotated tag. So I expect them to be permanent...

User avatar (0022110)
WubTheCaptain (developer)
2022-01-18 18:50

I pulled changes again. Apparently we don't have annotated tags, only lightweight tags, and that's not a very nice thing either. Bleh. You win your argument, Zalewa.
User avatar (0022111)
Zalewa (developer)
2022-01-18 19:05

I hate when a serious bug is found right after the release...

@ 0003959:0022105

I'm normally against modifying the public history but there are cases when you need to be strict and cases where a laid back approach doesn't cause (much) harm. With a project like this that doesn't have too many people involved the harm is minimal (but still happened, so I'm sorry). I wouldn't be so fast on removing a tag if this project had a higher amount of daily contributors. I also would be more reluctant to do this if the end-user received 1.3.3 already, but aside from some people who may be on the beta channel, no one received a binary 1.3.3 release, yet.

I redone stage 1 with this commit:https://bitbucket.org/Doomseeker/doomseeker/commits/793919c7ed3bb90063922f7b5aba41511e8a9415 [^] , and I'm reassigning to Blzut again.

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2021-12-27 22:43 Zalewa New Issue
2021-12-27 23:08 Zalewa Additional Information Updated View Revisions
2021-12-28 11:01 WubTheCaptain Note Added: 0022027
2021-12-28 11:01 WubTheCaptain Severity major => minor
2021-12-28 11:01 WubTheCaptain Status new => acknowledged
2021-12-28 11:01 WubTheCaptain Product Version 1.3.3 => 1.3.2
2021-12-28 11:18 Zalewa Note Added: 0022029
2021-12-28 11:35 WubTheCaptain Note Added: 0022034
2022-01-02 12:22 Zalewa Note Added: 0022072
2022-01-17 02:39 WubTheCaptain Note Added: 0022085
2022-01-17 02:39 WubTheCaptain Status acknowledged => assigned
2022-01-17 18:14 Zalewa File Added: release-checklist-1.3.3.txt
2022-01-17 18:36 Zalewa Note Added: 0022087
2022-01-17 19:54 Zalewa Assigned To => Blzut3
2022-01-17 19:55 Zalewa Note Added: 0022088
2022-01-18 14:48 WubTheCaptain Note Added: 0022091
2022-01-18 17:29 Zalewa Assigned To Blzut3 => Zalewa
2022-01-18 17:29 Zalewa Note Added: 0022098
2022-01-18 18:13 WubTheCaptain Note Added: 0022105
2022-01-18 18:13 Zalewa Note Added: 0022106
2022-01-18 18:13 WubTheCaptain Note Edited: 0022105 View Revisions
2022-01-18 18:20 WubTheCaptain Note Added: 0022107
2022-01-18 18:23 WubTheCaptain Note Added: 0022108
2022-01-18 18:49 WubTheCaptain Note Edited: 0022108 View Revisions
2022-01-18 18:49 WubTheCaptain Note Edited: 0022108 View Revisions
2022-01-18 18:50 WubTheCaptain Note Added: 0022110
2022-01-18 18:59 Zalewa Assigned To Zalewa => Blzut3
2022-01-18 19:05 Zalewa Note Added: 0022111






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2022 MantisBT Team
Powered by Mantis Bugtracker